curl --request POST \
--url https://app.essentry.com/api/v2/check-ins/transitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventName": "<string>",
"checkIn": {
"id": 123
},
"invitation": {
"sourceId": "<string>"
}
}
'{
"id": 123,
"state": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"birthdate": "<string>",
"companyName": "<string>",
"language": "CS",
"arrivedAt": "2023-11-07T05:31:56Z",
"leftAt": "2023-11-07T05:31:56Z",
"legitimation": {
"sourceId": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"guest": {
"firstName": "<string>",
"lastName": "<string>",
"birthdate": "<string>"
}
},
"trustedId": {
"documentNumber": "<string>",
"document": "EXISTED",
"selfie": "MATCHED",
"liveness": "PASSED",
"invitationMatch": {
"wasManuallyReviewed": true,
"firstName": "EXACT",
"lastName": "EXACT",
"birthdate": "EXACT"
},
"images": {
"faceImageUrl": "<string>",
"identityDocumentImageUrl": "<string>"
}
},
"accessControl": {
"credential": {
"cardNumberKiosk": "<string>",
"cardNumberReception": "<string>",
"cardNumberAccessControlSystem": "<string>"
},
"access": {
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
},
"pin": "<string>"
},
"customFields": {}
}curl --request POST \
--url https://app.essentry.com/api/v2/check-ins/transitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventName": "<string>",
"checkIn": {
"id": 123
},
"invitation": {
"sourceId": "<string>"
}
}
'{
"id": 123,
"state": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"birthdate": "<string>",
"companyName": "<string>",
"language": "CS",
"arrivedAt": "2023-11-07T05:31:56Z",
"leftAt": "2023-11-07T05:31:56Z",
"legitimation": {
"sourceId": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"guest": {
"firstName": "<string>",
"lastName": "<string>",
"birthdate": "<string>"
}
},
"trustedId": {
"documentNumber": "<string>",
"document": "EXISTED",
"selfie": "MATCHED",
"liveness": "PASSED",
"invitationMatch": {
"wasManuallyReviewed": true,
"firstName": "EXACT",
"lastName": "EXACT",
"birthdate": "EXACT"
},
"images": {
"faceImageUrl": "<string>",
"identityDocumentImageUrl": "<string>"
}
},
"accessControl": {
"credential": {
"cardNumberKiosk": "<string>",
"cardNumberReception": "<string>",
"cardNumberAccessControlSystem": "<string>"
},
"access": {
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
},
"pin": "<string>"
},
"customFields": {}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The request has succeeded.
CS, DE, EN, ES, FR, HR, HU, IT, NL, PL, RO, RU, ZH_CN Show child attributes
Show child attributes
Show child attributes
Show child attributes